name: keid-example-texts-and-sprites
version: 0.1.0.0
git: "https://gitlab.com/keid/examples/2d/texts-and-sprites"
license: BSD3
author: "IC Rainbow"
maintainer: "aenor.realm@gmail.com"
copyright: "IC Rainbow"

extra-source-files:
- README.md

dependencies:
- base >= 4.7 && < 5
- rio

_rts: &exe-threaded
  - -threaded
  - -rtsopts
  - -with-rtsopts=-N     # a capability for each core
  - -with-rtsopts=-qg    # no parallel gc
  - -with-rtsopts=-xn    # non-moving gc
  - -with-rtsopts=-A128m # bigger arena
  # - -with-rtsopts=-S     # dump stats

executables:
  keid-example-texts-and-sprites:
    source-dirs: app
    main: Main.hs
    ghc-options: *exe-threaded
    dependencies:
    - geomancy
    - geomancy-layout
    - keid-core >= 0.1.6.1
    - keid-geometry
    - keid-render-basic >= 0.1.6.1
    # - keid-ui-dearimgui

    - random
    - vector
    - vulkan
    - resourcet

ghc-options:
- -Wall
- -Wcompat
- -Widentities
- -Wincomplete-record-updates
- -Wincomplete-uni-patterns
- -Wpartial-fields
- -Wredundant-constraints

language: GHC2021
default-extensions:
- NoImplicitPrelude

- ApplicativeDo
- BinaryLiterals
- BlockArguments
- DataKinds
- DefaultSignatures
- DerivingStrategies
- DerivingVia
- DuplicateRecordFields
- FunctionalDependencies
- HexFloatLiterals
- ImportQualifiedPost
- LambdaCase
- NamedFieldPuns
- NumDecimals
- OverloadedRecordDot
- OverloadedStrings
- PatternSynonyms
- QuasiQuotes
- RecordWildCards
- StrictData
- TemplateHaskell
- TypeFamilies
- TypeOperators
- ViewPatterns
